{% sw_extends '@Storefront/storefront/element/cms-element-image-gallery.html.twig' %}

{% block element_image_gallery_inner_item %}
	<div class="gallery-slider-item-container">
		<div class="gallery-slider-item is-{{ displayMode }} js-magnifier-container"{% if minHeight and  (displayMode == "cover" or displayMode == "contain" ) %} style="min-height: {{ minHeight }}"{% endif %}>
			{% set attributes = {
				'class': 'img-fluid gallery-slider-image magnifier-image js-magnifier-image',
				'alt': (image.translated.alt ?: fallbackImageTitle),
				'title': (image.translated.title ?: fallbackImageTitle),
				'data-full-image': image.url
			} %}
				
			{% if displayMode == 'cover' or displayMode == 'contain' %}
				{% set attributes = attributes|merge({ 'data-object-fit': displayMode }) %}
			{% endif %}
				
			{% if isProduct %}
				{% set attributes = attributes|merge({ 'itemprop': 'image' }) %}
			{% endif %}
				
			{% sw_thumbnails 'gallery-slider-image-thumbnails' with {
				media: image,
				sizes: { 
					'default': '600px' 
				}
			} %}
		</div>
	</div>
{% endblock %}


{% block element_image_gallery_inner_thumbnails_item_inner %}

	<div class="gallery-slider-thumbnails-item-inner">
		
	
		{% set attributes = {
			'class': 'gallery-slider-thumbnails-image',
			'alt': (image.translated.alt ?: fallbackImageTitle),
			'title': (image.translated.title ?: fallbackImageTitle)
		} %}
		
		{% if isProduct %}
			{% set attributes = attributes|merge({ 'itemprop': 'image' }) %}
		{% endif %}
		
		{% sw_thumbnails 'gallery-slider-thumbnails-image-thumbnails' with {
			media: image,
			sizes: {
				'default': '160px'
			}
		} %}
	</div>
{% endblock %}
